%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define pear_xmldir  /var/lib/pear

Name:           php-pear-channel-horde
Version:        1.0
Release:        %mkrel 20
Summary:        Adds pear.horde.org channel to PEAR
Group:          System/Libraries
License:        BSD
URL:            http://pear.horde.org/
Source0:        http://pear.horde.org/channel.xml
BuildArch:      noarch
BuildRequires:  php-pear >= 5.1.1
Requires(pre):	php-pear
Requires:	php-mbstring
Requires:	php-mysql
Requires:	php-session
Requires:	php-sysvsem
Requires:	php-tokenizer



%description
This package adds the pear.horde.org channel which allows PEAR packages
from this channel to be installed.


%prep
%setup -q -c -T


%build
# Empty build section, nothing to build


%install

%{__mkdir_p} %{buildroot}%{pear_xmldir}
%{__install} -pm 644 %{SOURCE0} %{buildroot}%{pear_xmldir}/pear.horde.org.xml


%clean

%{__rm} -rf %{buildroot}


%post

if [ $1 -gt  1 ] ; then
   pear channel-update pear.horde.org
else
   pear channel-add %{pear_xmldir}/pear.horde.org.xml
fi

%preun

if [ $1 -eq 0 ] ; then
   pear channel-delete pear.horde.org
fi


%files
%{pear_xmldir}/pear.horde.org.xml






%changelog
* Tue Feb 02 2016 umeabot <umeabot> 1.0-20.mga6
+ Revision: 931122
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-19.mga5
+ Revision: 743542
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-18.mga5
+ Revision: 687535
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-17.mga4
+ Revision: 517338
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0-16.mga3
+ Revision: 377507
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 24 2012 spuhler <spuhler> 1.0-15.mga2
+ Revision: 226098
- reversed "Use included xml file instead of the one on internet for channel updates, so it will actually do it

* Tue Mar 06 2012 pterjan <pterjan> 1.0-14.mga2
+ Revision: 220323
- Fix post scriptlet, $1 can never be 0

* Tue Mar 06 2012 pterjan <pterjan> 1.0-13.mga2
+ Revision: 220296
- Switch channel-delete to preun, so that the file is still available

* Tue Mar 06 2012 pterjan <pterjan> 1.0-12.mga2
+ Revision: 220279
- Use included xml file instead of the one on internet

* Sun Mar 04 2012 spuhler <spuhler> 1.0-11.mga2
+ Revision: 217658
- update to rel 11
  to make the channel update work
  to let users know its updated

* Sat Feb 11 2012 spuhler <spuhler> 1.0-10.mga2
+ Revision: 207421
- updated rel to update the channel

* Fri Feb 10 2012 spuhler <spuhler> 1.0-9.mga2
+ Revision: 206809
- updated rel to update the channel

* Sat Nov 12 2011 spuhler <spuhler> 1.0-8.mga2
+ Revision: 167047
- Changed the channels to current
-     <baseurl type="REST1.0">http://pear.horde.org/Chiara_PEAR_Server_REST/</baseurl>
-     <baseurl type="REST1.1">http://pear.horde.org/Chiara_PEAR_Server_REST/</baseurl>
  +    <baseurl type="REST1.0">http://pear.horde.org/rest/</baseurl>
  +    <baseurl type="REST1.1">http://pear.horde.org/rest/</baseurl>
  +    <baseurl type="REST1.2">http://pear.horde.org/rest/</baseurl>
  +    <baseurl type="REST1.3">http://pear.horde.org/rest/</baseurl>

* Fri Jan 21 2011 spuhler <spuhler> 1.0-7.mga1
+ Revision: 28084
- added Requires(pre):php-pear to spec file

* Sun Jan 09 2011 spuhler <spuhler> 1.0-6.mga1
+ Revision: 4622
- imported package php-pear-channel-horde


* Sat Jul 31 2010 Thomas Spuhler <tspuhler@mandriva.org> 1.0-6mdv2011.0
+ Revision: 564123
- Increased release for rebuild

* Thu May 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-5mdv2010.1
+ Revision: 543021
- try to fix a problem reported by Thomas Spuhler

* Sun Feb 21 2010 Thomas Spuhler <tspuhler@mandriva.org> 1.0-4mdv2010.1
+ Revision: 509253
- updated rel to 4
-added nl at the end of channel.xml

* Sun Feb 14 2010 Thomas Spuhler <tspuhler@mandriva.org> 1.0-3mdv2010.1
+ Revision: 505666
- increase version to move to main

* Sat Feb 13 2010 Thomas Spuhler <tspuhler@mandriva.org> 1.0-2mdv2010.1
+ Revision: 505541
-- dealed PreRequ line. It's php-pear is always installed on our system
- PreReq was  php  php-pear >= 5.1.1
- added buildroot line
- corrected Group name
- intital build for kolab-filter
- import php-pear-channel-horde


